=== debian/changelog ===
pykde4 (4:4.6.80-3) unstable; urgency=low

  * Add plasma-scriptengine-python (<< 4:4.6.5) to python-kde4 Breaks. Needed
    as python-support based plasma-scriptengine-python does not work with
    dh_python2 based python-kde4.
  * Fix GitWeb Vcs URL.
  * Move non-default python library to Suggests again.
  * Introduce a hack to restore compatibility with python-support based
    python-qt4. (Closes: #633499)

 -- Modestas Vainius <modax@debian.org>  Fri, 22 Jul 2011 12:10:12 +0300

pykde4 (4:4.6.80-2) unstable; urgency=low

  * "Bye bye to you, ugly monolithic kdebindings" release.

  [ Pino Toscano ]
  * Update the patches:
    - refresh
    - optional_install_sip_files.diff: fix small if()/endif() mismatch
  * Small touches to the descriptions.

  [ Modestas Vainius ]
  * Upload to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 04 Jul 2011 15:56:07 +0300

pykde4 (4:4.6.80-1) experimental; urgency=low

  * Initial standalone release: split off from kdebindings.
  * Below you will find notable changes from previous kdebindings packaging.

  [ Modestas Vainius ]
  * Require KDE SC 4.6.3.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Switch debian/rules engine to dhmk based debian-qt-kde.mk.
  * Pick pykde4 related patches from the kdebindings package and include them
    in this package.
  * Strip sequence numbers from the patch filenames.
  * Clean up Uploaders list.
  * Clean up Build-Depends list.
  * Add libboost-dev to Build-Depends.
  * Fix binNMUability of python-kde4-dev: depend on python-kde4 (>=
    ${source:Version}) rather than ${binary:Version}. python-kde4-dev is
    arch:all.
  * Switch to dh_python2 (thanks to Scott Kitterman):
    - drop python-support from Build-Depends;
    - use python2 dh addon in place of python-support;
    - drop XB-Python-Version control field and remove debian/pyversions;
    - add "X-Python-Version: >= 2.5" to the source section;
    - remove python-support specific hacks from debian/not-installed.
  * Drop pydefault make variable, not used anymore.
  * Execute pyversions "on demand".
  * Drop ${python:Depends} from python-kde4-dev Depends.
  * Add "Provides: ${python:Provides}" to python-kde4.
  * Optimize $(pyversions) check.
  * Improve python-kde4-doc description.
  * Add lintian overrides for
    usr/share/doc/python-kde4-doc/html/common/*-license. These are valid part
    of documentation.
  * Add kdebindings-dbg to python-kde4-dbg Breaks/Replaces.
  * Update debian/coypright.
  * Document all Debian patches.
  * Replace include_default_settings_in_python_cmakelist.diff patch with
    add_qt_kde_definitions.diff. Only add_definitions() part moved to the
    proper place remains.

 -- Modestas Vainius <modax@debian.org>  Thu, 30 Jun 2011 21:29:02 +0300
