=== debian/rules ===
#! /usr/bin/make -f

dh = --with=python2

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

pyversions = $(shell pyversions -vr)
pydefaultversion = $(shell pyversions -vd)
pyshared_nondefault = $(foreach v,$(filter-out $(pydefaultversion),$(pyversions)),\
    usr/lib/pyshared/python$v/PyKDE4 usr/lib/python$v/dist-packages/PyKDE4)

define nl


endef

override_dh_auto_configure:
	$(if $(pyversions),,$(error "no suitable pythonversion found, failing"))
	$(foreach v,$(pyversions),$(overridden_command) --builddirectory=builddir-$v -- \
	    -DPYTHON_EXECUTABLE=/usr/bin/python$v \
	    -DDEFAULT_PYTHON_VERSION=$(if $(filter $(pydefaultversion),$v),true,false) \
	    $(nl))

override_dh_auto_build override_dh_auto_install override_dh_auto_test override_dh_auto_clean:
	$(foreach v,$(pyversions),$(overridden_command) --builddirectory=builddir-$v $(nl))

override_dh_python2:
	$(overridden_command)
	dh_sip -ppython-kde4
	# Create python-support compatibility symlinks
	set -e; for f in debian/python-kde4/usr/lib/python*/*-packages/PyQt4/uic/*.py \
	         debian/python-kde4/usr/lib/python*/*-packages/PyQt4/uic/widget-plugins/*.py; do \
	    d="`echo $$f | sed 's,usr/lib/\(python[^/]\+\)/dist-packages,usr/lib/pymodules/\1,'`"; \
	    mkdir -p "`dirname "$$d"`"; ln -s $${f#debian/python-kde4} $$d; \
	done

override_dh_strip:
	$(overridden_command) --dbg-package=python-kde4-dbg

override_dh_shlibdeps:
	if [ -d debian/python-kde4 ]; then \
        dh_shlibdeps -ppython-kde4 $(foreach s,$(pyshared_nondefault),-X'$s/') -- \
        	-dSuggests $(foreach s,$(pyshared_nondefault),debian/python-kde4/$s/*.so) -dDepends; \
	fi
	$(overridden_command) --remaining-packages
