## pykde4 4.7.1

=== debian/changelog ===
pykde4 (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Sun, 04 Sep 2011 00:22:44 +0200

pykde4 (4:4.7.0-0ubuntu3) oneiric; urgency=low

  * No change rebuild against new PyQt (LP: #826321)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 14 Aug 2011 16:54:58 +0200

pykde4 (4:4.7.0-0ubuntu2) oneiric; urgency=low

  * Finish switch to dh_python2 (cherrypick from Debian qt-kde git)
    - Bump python-qt/-dev depends/build-depends requirements to match
      dh_python2 versions
    - Drop build-dep on python-support
  * Drop obsolete XB-Python-Version field from debian/control

 -- Scott Kitterman <scott@kitterman.com>  Mon, 01 Aug 2011 12:45:23 -0400

pykde4 (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Romain Perier <romain.perier@gmail.com>  Sat, 23 Jul 2011 09:58:56 +0200

pykde4 (4:4.6.90-0ubuntu2) oneiric; urgency=low

  * Only suggest libpython2.6 (i.e. libpython for the non-default python) so
    we don't pull python2.6 onto the CD
  * Update location for Vcs-* branch

 -- Scott Kitterman <scott@kitterman.com>  Thu, 21 Jul 2011 23:16:31 -0400

pykde4 (4:4.6.90-0ubuntu1) oneiric; urgency=low

  [ Romain Perier ]
  * Initial release: split off from kdebindings.
  * Packages rules synced with debian.

  [ Felix Geyer ]
  * Fix lintian warning not-binnmuable-all-depends-any python-kde4-dev ->
    python-kde4.

 -- Romain Perier <romain.perier@gmail.com>  Mon, 11 Jul 2011 12:42:17 +0200
