## pykde4 4.7.2

=== debian/changelog ===
pykde4 (4:4.7.2-1) experimental; urgency=low

  [ Modestas Vainius ]
  * Bump python-qt4 dependencies to 4.8.3-3~ (dh_python2 based).
  * Remove a hack for python-qt4 python-support.
  * Really make python-kde4 break plasma-scriptengine-python (fix a typo).

  [ José Manuel Santamaría Lema ]
  * Require KDE SC 4.7.2.
  * Bump soprano build depend to 2.7.0.
  * Update not-installed file.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:45:37 -0300
