=== debian/control ===
Source: pykde4
Section: python
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
 debhelper (>= 7.3), cmake, pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7),kdepimlibs5-dev (>= 4:4.7),
 libphonon-dev (>= 4:4.6.0really4.4.4), libsoprano-dev (>= 2.7.0),
 libqt4-dev (>= 4:4.7.1), libqt4-opengl-dev (>= 4:4.7.1), libqtwebkit-dev,
 libboost-dev, shared-desktop-ontologies,
 python, python-all-dev, python-sip-dev (>= 4.12.0),
 python-qt4 (>= 4.8.3-3~), python-qt4-dev (>= 4.8.3-3~)
Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>, Michael Meskes <meskes@debian.org>
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://www.kde.org
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/pykde4.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/pykde4.git

Package: python-kde4
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends},
 python-qt4 (>= 4.8.3-3~), ${sip:Depends}, python-sip
Provides: ${python:Provides}
Suggests: ${shlibs:Suggests}
Breaks: plasma-scriptengine-python (<< 4:4.6.5), python-qt4 (<< 4.8.3-3~)
Description: Python bindings for the KDE Development Platform
 This package contains PyKDE, the Python bindings for the KDE
 libraries, that allow you to write KDE programs using Python instead of
 C++. It contains at least the following modules under the
 PyKDE namespace:
 .
  * dnssd
  * kdecore
  * kdeui
  * khtml
  * kio
  * knewstuff
  * kparts
  * kterminal
  * ktexteditor
  * kutils
  * nepomuk
  * plasma
  * solid
 .
 And a few KDE related technologies like:
 .
  * akonadi
  * phonon
  * soprano
 .
 This package provides modules for all supported Python versions.

Package: python-kde4-dev
Architecture: all
Depends: ${misc:Depends}, python-kde4 (>= ${source:Version}), python-qt4 (>= 4.8.3-3~)
Breaks: python-kde4 (<< ${source:Version})
Description: UIC compiler and SIP files for PyKDE
 This package contains pykdeuic4, a wrapper around PyQt's own UIC (user
 interface compiler). It is needed to generate code from Qt Designer's
 UI files. You want to install this package if you are writing a PyKDE
 application which has .ui files, or running one of these applications
 from source.
 .
 It also contains the .sip files for PyKDE, needed to build packages
 with classes based on PyKDE.

Package: python-kde4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation and examples for PyKDE
 This package contains API documentation for PyKDE, and some example code
 showing how to use it. You will probably want to install this package if
 you are developing applications based on PyKDE.

Package: python-kde4-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdelibs5-dbg, python-kde4 (= ${binary:Version})
Recommends: python-qt4-dbg
Breaks: kdebindings-dbg
Replaces: kdebindings-dbg
Description: debugging symbols for the PyKDE bindings
 This package contains debugging files used to investigate problems with
 Python bindings for the KDE Development Platform. Install this package if you
 are experiencing crashes of the PyKDE application and wish to report a problem
 to the developers.
