## pykde4 4.7.4

=== debian/changelog ===
pykde4 (4:4.7.4-0ubuntu0.1) oneiric-proposed; urgency=low

  * New upstream bugfix release (LP: #913928)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Jan 2012 12:00:48 -0500

pykde4 (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #872506)

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Thu, 13 Oct 2011 12:29:27 +0200
