=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]+)/src/pykde4-([\d\.]+)\.tar\.bz2
