## pykde4 4.8.2

=== debian/changelog ===
pykde4 (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 31 Mar 2012 21:20:19 +0200

pykde4 (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 03 Mar 2012 19:20:33 +0100

pykde4 (4:4.8.0-0ubuntu2) precise; urgency=low

  * Rebuild against python-qt4 4.9-2ubuntu3. (LP: #922721)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 28 Jan 2012 12:40:46 +0100

pykde4 (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 12:01:24 +0000

pykde4 (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jan 2012 13:14:59 +0000

pykde4 (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 17:33:53 +0100

pykde4 (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 17 Dec 2011 19:30:20 +0000

pykde4 (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian, remaining changes:
   - version number in boost build-dep

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 Nov 2011 22:18:54 +0000

pykde4 (4:4.7.2-0r1) UNRELEASED; urgency=low

  [ Modestas Vainius ]
  * Bump python-qt4 dependencies to 4.8.3-3~ (dh_python2 based).
  * Remove a hack for python-qt4 python-support.
  * Really make python-kde4 break plasma-scriptengine-python (fix a typo).

  [ José Manuel Santamaría Lema ]
  * Require KDE SC 4.7.2.
  * Bump soprano build depend to 2.7.0.
  * Update not-installed file.

 -- Modestas Vainius <modax@debian.org>  Sat, 30 Jul 2011 01:05:50 +0300
