## pykde4 4.8.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -80,6 +80,7 @@
     ${KDE4_INCLUDE_DIR}/ksettings
     ${KDE4_INCLUDE_DIR}/knewstuff2
     ${KDE4_INCLUDE_DIR}/dnssd
+    ${KDE4_PHONON_INCLUDES}
     ${KDEPIMLIBS_INCLUDE_DIRS}
 )
