=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.3),
  debhelper (>= 7.3), cmake, pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.8.1),kdepimlibs5-dev (>= 4:4.8.1),
  libphonon-dev (>= 4:4.6.0really4.4.4), libsoprano-dev (>= 2.7.0),
