=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 pyversions = $(shell pyversions -vr)
 pydefaultversion = $(shell pyversions -vd)
-pyshared_nondefault = $(foreach v,$(filter-out $(pydefaultversion),$(pyversions)), \
-	usr/lib/pyshared/python$v/PyKDE4 usr/lib/python$v/dist-packages/PyKDE4)
+pyshared_nondefault = $(foreach v,$(filter-out $(pydefaultversion),$(pyversions)),\
+    usr/lib/pyshared/python$v/PyKDE4 usr/lib/python$v/dist-packages/PyKDE4)
 
 define nl
