## pykde4 4.8.4

=== debian/changelog ===
pykde4 (4:4.8.4-1) unstable; urgency=low

  * Team upload
  * New upstream release
    - Drop debian/patches/python32_compile_fix.diff, incorporated upstream
    - Bump build-depends version for kde-sc-dev-latest to 4:4.8.3
  * Add python-dbg and python3-dbg to python-kde4-dbg and python3-kde4-dbg
    depends
  * Update debian/not-installed for python3 (change from Kubuntu)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 16 Jun 2012 20:28:58 -0400

pykde4 (4:4.7.4-4) unstable; urgency=low

  * Team upload
  * Use dh_sip3 for Python 3 instead of dh_sip
    - Update debian/control (sip3:Depends for python3-pykde4)
    - Add override for dh_python3 to also run dh_sip3
  * Drop unneeded Breaks/Replaces on kdebindings-dbg for python3-pykde4-dbg
  * Drop redundant build-depends on python
  * Version python-all-dev build-depends to minimum version for dh_python2
  * Drop unneeded Provides

 -- Scott Kitterman <scott@kitterman.com>  Tue, 22 May 2012 09:43:25 -0400

pykde4 (4:4.7.4-3) unstable; urgency=low

  * Team upload.
  * Add new binary python3-pykde for Python 3 support (Closes: #672553)
    - Adjust debian/rules
    - Add debian/patches/python32_compile_fix.diff to support building with
      python3.2
    - Bump build-dep version for kde4libs to 4:4.7.4-6 due to patch added in
      that revision to support building with Python 3
    - Add Python 3 equivalent packages to build-depends
    - Thanks to Colin Watson for the patch
  * Bump standards version to 3.9.3 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sun, 20 May 2012 16:06:19 -0400

pykde4 (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 07 Mar 2012 14:06:55 +0100

pykde4 (4:4.7.4-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4.
  * Bump shared-desktop-ontologies build dependency to 0.8.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 01:38:40 +0100
