=== debian/control ===
--- 
+++ 
@@ -1,30 +1,28 @@
 Source: pykde4
 Section: python
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.8.3),
  debhelper (>= 7.3), cmake, pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1),kdepimlibs5-dev (>= 4:4.8.1),
+ kdelibs5-dev (>= 4:4.7.4-6),kdepimlibs5-dev (>= 4:4.7),
  libphonon-dev (>= 4:4.6.0really4.4.4), libsoprano-dev (>= 2.7.0),
  libqt4-dev (>= 4:4.7.1), libqt4-opengl-dev (>= 4:4.7.1), libqtwebkit-dev,
- libboost1.46-dev, shared-desktop-ontologies,
- python, python-all-dev, python-sip-dev (>= 4.12.0),
- python-qt4 (>= 4.8.3-3~), python-qt4-dev (>= 4.8.3-3~)
+ libboost-dev, shared-desktop-ontologies (>= 0.8),
+ python-all-dev (>= 2.6.6-3~), python3-all-dev,
+ python-sip-dev (>= 4.12.0), python3-sip-dev,
+ python-qt4 (>= 4.8.3-3~), python3-pyqt4, python-qt4-dev (>= 4.8.3-3~)
 Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>, Michael Meskes <meskes@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
+X-Python3-Version: >= 3.2
 Homepage: http://www.kde.org
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pykde4
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pykde4
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/pykde4.git
-X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/pykde4.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/pykde4.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/pykde4.git
 
 Package: python-kde4
 Architecture: any
 Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends},
  python-qt4 (>= 4.8.3-3~), ${sip:Depends}, python-sip
-Provides: ${python:Provides}
 Suggests: ${shlibs:Suggests}
 Breaks: plasma-scriptengine-python (<< 4:4.6.5), python-qt4 (<< 4.8.3-3~)
 Description: Python bindings for the KDE Development Platform
@@ -82,7 +80,7 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, kdelibs5-dbg, python-kde4 (= ${binary:Version})
+Depends: ${misc:Depends}, kdelibs5-dbg, python-kde4 (= ${binary:Version}), python-dbg
 Recommends: python-qt4-dbg
 Breaks: kdebindings-dbg
 Replaces: kdebindings-dbg
@@ -92,3 +90,47 @@
  are experiencing crashes of the PyKDE application and wish to report a problem
  to the developers.
 
+Package: python3-pykde4
+Architecture: any
+Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
+ python3-pyqt4, ${sip3:Depends}, python3-sip
+Description: Python 3 bindings for the KDE Development Platform
+ This package contains PyKDE, the Python 3 bindings for the KDE
+ libraries, that allow you to write KDE programs using Python 3 instead of
+ C++. It contains at least the following modules under the
+ PyKDE namespace:
+ .
+  * dnssd
+  * kdecore
+  * kdeui
+  * khtml
+  * kio
+  * knewstuff
+  * kparts
+  * kterminal
+  * ktexteditor
+  * kutils
+  * nepomuk
+  * plasma
+  * solid
+ .
+ And a few KDE related technologies like:
+ .
+  * akonadi
+  * phonon
+  * soprano
+ .
+ This package provides modules for all supported Python 3 versions.
+
+Package: python3-pykde4-dbg
+Section: debug
+Architecture: any
+Priority: extra
+Depends: ${misc:Depends}, kdelibs5-dbg, python3-pykde4 (= ${binary:Version}), python3-dbg
+Recommends: python3-pyqt4-dbg
+Description: debugging symbols for PyKDE bindings for Python 3
+ This package contains debugging files used to investigate problems with
+ Python 3 bindings for the KDE Development Platform. Install this package if
+ you are experiencing crashes of the PyKDE application and wish to report a
+ problem to the developers.
+
